Skip to main content
GET
/
api
/
payments
/
stripe
/
{environment}
/
customers
List Stripe Customers
curl --request GET \
  --url https://api.example.com/api/payments/stripe/{environment}/customers \
  --header 'Authorization: Bearer <token>'
{
  "customers": [
    {
      "providerCustomerId": "cus_123",
      "email": "buyer@example.com",
      "name": "Buyer Example",
      "phone": "+1 555-0100",
      "deleted": true,
      "metadata": {},
      "providerCreatedAt": "2023-11-07T05:31:56Z",
      "syncedAt": "2023-11-07T05:31:56Z",
      "paymentsCount": 1,
      "lastPaymentAt": "2023-11-07T05:31:56Z",
      "totalSpend": 1,
      "totalSpendCurrency": "<string>",
      "paymentMethodBrand": "<string>",
      "paymentMethodLast4": "<string>",
      "countryCode": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Query Parameters

limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Stripe customers

customers
object[]
required